org.apache.lucene.analysis.el

## Class GreekAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.util.StopwordAnalyzerBase
    - - org.apache.lucene.analysis.el.GreekAnalyzer

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public final class GreekAnalyzer
      extends StopwordAnalyzerBase

  `Analyzer` for the Greek language.

  Supports an external list of stopwords (words that will not be indexed at all). A default set of stopwords is used unless an alternative list is specified.

  You must specify the required `Version` compatibility when creating GreekAnalyzer:

  - As of 3.1, StandardFilter and GreekStemmer are used by default.
  - As of 2.9, StopFilter preserves position increments

  NOTE: This class uses the same `Version` dependent settings as `StandardAnalyzer`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

      `Analyzer.GlobalReuseStrategy, Analyzer.PerFieldReuseStrategy, Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_STOPWORD_FILE` File containing default Greek stopwords.

    - ### Fields inherited from class org.apache.lucene.analysis.util.StopwordAnalyzerBase

      `matchVersion, stopwords`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GreekAnalyzer(Version matchVersion)` Builds an analyzer with the default stop words.
    `GreekAnalyzer(Version matchVersion, CharArraySet stopwords)` Builds an analyzer with the given stop words.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Analyzer.TokenStreamComponents` | `createComponents(String fieldName, Reader reader)` Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
    `static CharArraySet` | `getDefaultStopSet()` Returns a set of default Greek-stopwords

    - ### Methods inherited from class org.apache.lucene.analysis.util.StopwordAnalyzerBase

      `getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `close, getOffsetGap, getPositionIncrementGap, initReader, tokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_STOPWORD_FILE

          public static final String DEFAULT_STOPWORD_FILE

      File containing default Greek stopwords.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GreekAnalyzer

          public GreekAnalyzer(Version matchVersion)

      Builds an analyzer with the default stop words.
      Parameters:
        `matchVersion` - Lucene compatibility version, See above

    - #### GreekAnalyzer

          public GreekAnalyzer(Version matchVersion,
                       CharArraySet stopwords)

      Builds an analyzer with the given stop words.

      NOTE: The stopwords set should be pre-processed with the logic of `GreekLowerCaseFilter` for best results.

      Parameters:
        `matchVersion` - Lucene compatibility version, See above
        `stopwords` - a stopword set

  - ### Method Detail

    - #### getDefaultStopSet

          public static final CharArraySet getDefaultStopSet()

      Returns a set of default Greek-stopwords
      Returns:
        a set of default Greek-stopwords

    - #### createComponents

          protected Analyzer.TokenStreamComponents createComponents(String fieldName,
                                                        Reader reader)

      Creates `Analyzer.TokenStreamComponents` used to tokenize all the text in the provided `Reader`.
      Specified by:
        `createComponents` in class `Analyzer`
      Returns:
        `Analyzer.TokenStreamComponents` built from a `StandardTokenizer` filtered with `GreekLowerCaseFilter`, `StandardFilter`, `StopFilter`, and `GreekStemFilter`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.